View Issue Details

IDProjectCategoryView StatusLast Update
0012484MediaMonkey for AndroidTrack Browserpublic2015-01-16 20:22
Reporterrusty Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1.0 
Target Version1.1.0Fixed in Version1.1.0 
Summary0012484: Multiple-attribute tracks display incorrectly in various views
DescriptionWhen tracks have multiple attributes, they display incorrectly, appearing in duplicate in some views, and not at all in other views. A few examples:

1) Set Album Artist to A;B for Track Y from Album X
-->
a) Artist & Album Artist > A shows 2 instances of Album X (as expected), but the second instance shows 2 instances of Track Y. (note: Tracks tab displays correctly)
b) Artists > A shows 2 instances of Album X (as expected), but the second instance shows 2 instances of Track Y. (note: tracks tab displays correctly)
c) Album Artist > A shows 2 instances of Album X (as expected), but the second instance shows 2 instances of Track Y. (note: tracks tab displays correctly)
d) Genre > Folk > Albums doesn't contain the second instance of Album X which contains track Y! (note: Genre > Folk > Artists and Genre > Folk > Tracks both work correctly)

Note: Albums view displays correctly.

2) Similar issues occur when Artist is set to A;B for Track Y from Album X
-->
a) Artist & Album Artist > A shows 1 instance of Album X (as expected), but it contains 2 instances of Track Y. (note: Tracks tab displays correctly)
b) Artists > A shows 1 instance of Album X (as expected), but it contains 2 instances of Track Y. (note: Tracks tab displays correctly)
c) Album Artist > A shows 1 instance of Album X (as expected), but it contains 2 instances of Track Y. (note: Tracks tab displays correctly)

Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=21&t=78866
TagsNo tags attached.
Fixed in build369

Activities

martin

2015-01-13 06:32

developer   ~0041666

Fixed in build 1.1.0.365.

rusty

2015-01-14 21:43

administrator   ~0041702

Tested 365 and everything seems to work correctly excepted for case 1d).

martin

2015-01-14 22:37

developer   ~0041706

I can't replicate for 1d) can you provide your database and describe in real names. Thanks

rusty

2015-01-16 05:32

administrator   ~0041735

Last edited: 2015-01-16 05:36

View 3 revisions

The following tracks exist:
Artist|Album|Album Artist|Title
Iron & Wine|The Creek Drank The Cradle|Iron & Wine|Lion's Mane
Iron & Wine|The Creek Drank The Cradle|Iron & Wine|Faded from Winter
Iron & Wine|The Creek Drank The Cradle|Iron & Wine|An Angry Blade
Iron & Wine|The Creek Drank The Cradle|Iron & Wine,Steve|Upward over the Mountain

1 Go to Genres > Folk > Albums Tab
2 Scroll down to The Creek Drank The Cradle / Iron & Wine
-->
Second instance of the album doesn't appear! It should also show:
The Creek Drank The Cradle / Iron & Wine,Steve

(All other relevant Album views show both instances of the Album).

Debug Log: 68EWB2SUQ0
MMA db posted to ftp

Note: this would presumably be a problem for Albums with common names such as 'Greatest Hits' as some of the Albums wouldn't display.

martin

2015-01-16 10:50

developer   ~0041737

Last edited: 2015-01-16 12:24

View 2 revisions

Fixed in build 1.1.0.369

rusty

2015-01-16 20:22

administrator   ~0041749

Verified 369.